View Issue Details

IDProjectCategoryView StatusLast Update
00288692.x IDE BugsGeneralPublic2018-08-03 11:59
ReporterStewart BishopAssigned ToAlexander Borup 
PriorityVery HighSeverityB - MajorReproducibility50%
Status ClosedResolutionFixed 
Product Version2.1.3 
Target Version2.1.4Fixed in Version2.1.4 
Summary0028869: General: IDE takes at least a minute to load at times whilst checking the network status
DescriptionSomething recently has changed which causes our network checks to go haywire and in turn cause your IDE to just sit there doing nothing for a solid minute or more when you start it. Nothing else running which can cause it to happen, can happen multiple runs in a row and can just not happen for a while but definitely seems like we've either changed something with our servers or web API to cause this.
Steps To Reproduce1) Run the IDE
2) 50% of the time it'll just sit there doing nothing
3) Open your UI.log
4) See that it is failing at network checks
Tags214
2.x IDE Found In2.1.3.273
2.x Runtime Found In2.1.3.189
2.x IDE Verified In9.2.1.1423
2.x Runtime Verified In9.9.1.1024

Relationships

related to 0029007 ClosedAlexander Borup General: Still possible to get startup white screen (even after speed-ups for 2.1.4) 

Activities

Dan

2018-03-20 15:21

Adminstrator   ~0058297

2.1.4 now has a change to how we are checking remote sites to establish if you're online or not. Reduces the timeouts also.

It is technically still possible to get the whitescreen in specific cases of firewalled connections or server-side issues, but this will now last for a much shorter amount of time - 0029007

Dan

2018-04-05 09:29

Adminstrator   ~0058597

Lots of feedback from the community overnight that this is massively improved / fixed. Will close soon if this continues.

Matthew McInnes

2018-05-15 16:04

Adminstrator   ~0059720

Closing. Verified as fixed in:

IDE v9.2.1.1423 Runtime v9.9.1.1024